module Sqlite3Constants where
import Foreign
import Foreign.C
import Sqlite3Types

foreign import ccall "_SQLITE_OK" _SQLITE_OK
    :: CInt

foreign import ccall "_SQLITE_ERROR" _SQLITE_ERROR
    :: CInt

foreign import ccall "_SQLITE_INTERNAL" _SQLITE_INTERNAL
    :: CInt

foreign import ccall "_SQLITE_PERM" _SQLITE_PERM
    :: CInt

foreign import ccall "_SQLITE_ABORT" _SQLITE_ABORT
    :: CInt

foreign import ccall "_SQLITE_BUSY" _SQLITE_BUSY
    :: CInt

foreign import ccall "_SQLITE_LOCKED" _SQLITE_LOCKED
    :: CInt

foreign import ccall "_SQLITE_NOMEM" _SQLITE_NOMEM
    :: CInt

foreign import ccall "_SQLITE_READONLY" _SQLITE_READONLY
    :: CInt

foreign import ccall "_SQLITE_INTERRUPT" _SQLITE_INTERRUPT
    :: CInt

foreign import ccall "_SQLITE_IOERR" _SQLITE_IOERR
    :: CInt

foreign import ccall "_SQLITE_CORRUPT" _SQLITE_CORRUPT
    :: CInt

foreign import ccall "_SQLITE_NOTFOUND" _SQLITE_NOTFOUND
    :: CInt

foreign import ccall "_SQLITE_FULL" _SQLITE_FULL
    :: CInt

foreign import ccall "_SQLITE_CANTOPEN" _SQLITE_CANTOPEN
    :: CInt

foreign import ccall "_SQLITE_PROTOCOL" _SQLITE_PROTOCOL
    :: CInt

foreign import ccall "_SQLITE_EMPTY" _SQLITE_EMPTY
    :: CInt

foreign import ccall "_SQLITE_SCHEMA" _SQLITE_SCHEMA
    :: CInt

foreign import ccall "_SQLITE_TOOBIG" _SQLITE_TOOBIG
    :: CInt

foreign import ccall "_SQLITE_CONSTRAINT" _SQLITE_CONSTRAINT
    :: CInt

foreign import ccall "_SQLITE_MISMATCH" _SQLITE_MISMATCH
    :: CInt

foreign import ccall "_SQLITE_MISUSE" _SQLITE_MISUSE
    :: CInt

foreign import ccall "_SQLITE_NOLFS" _SQLITE_NOLFS
    :: CInt

foreign import ccall "_SQLITE_AUTH" _SQLITE_AUTH
    :: CInt

foreign import ccall "_SQLITE_FORMAT" _SQLITE_FORMAT
    :: CInt

foreign import ccall "_SQLITE_RANGE" _SQLITE_RANGE
    :: CInt

foreign import ccall "_SQLITE_NOTADB" _SQLITE_NOTADB
    :: CInt

foreign import ccall "_SQLITE_ROW" _SQLITE_ROW
    :: CInt

foreign import ccall "_SQLITE_DONE" _SQLITE_DONE
    :: CInt

foreign import ccall "_SQLITE_IOERR_READ" _SQLITE_IOERR_READ
    :: CInt

foreign import ccall "_SQLITE_IOERR_SHORT_READ" _SQLITE_IOERR_SHORT_READ
    :: CInt

foreign import ccall "_SQLITE_IOERR_WRITE" _SQLITE_IOERR_WRITE
    :: CInt

foreign import ccall "_SQLITE_IOERR_FSYNC" _SQLITE_IOERR_FSYNC
    :: CInt

foreign import ccall "_SQLITE_IOERR_DIR_FSYNC" _SQLITE_IOERR_DIR_FSYNC
    :: CInt

foreign import ccall "_SQLITE_IOERR_TRUNCATE" _SQLITE_IOERR_TRUNCATE
    :: CInt

foreign import ccall "_SQLITE_IOERR_FSTAT" _SQLITE_IOERR_FSTAT
    :: CInt

foreign import ccall "_SQLITE_IOERR_UNLOCK" _SQLITE_IOERR_UNLOCK
    :: CInt

foreign import ccall "_SQLITE_IOERR_RDLOCK" _SQLITE_IOERR_RDLOCK
    :: CInt

foreign import ccall "_SQLITE_IOERR_DELETE" _SQLITE_IOERR_DELETE
    :: CInt

foreign import ccall "_SQLITE_IOERR_BLOCKED" _SQLITE_IOERR_BLOCKED
    :: CInt

foreign import ccall "_SQLITE_IOERR_NOMEM" _SQLITE_IOERR_NOMEM
    :: CInt

foreign import ccall "_SQLITE_IOERR_ACCESS" _SQLITE_IOERR_ACCESS
    :: CInt

foreign import ccall "_SQLITE_IOERR_CHECKRESERVEDLOCK"
 _SQLITE_IOERR_CHECKRESERVEDLOCK
    :: CInt

foreign import ccall "_SQLITE_IOERR_LOCK" _SQLITE_IOERR_LOCK
    :: CInt

foreign import ccall "_SQLITE_IOERR_CLOSE" _SQLITE_IOERR_CLOSE
    :: CInt

foreign import ccall "_SQLITE_IOERR_DIR_CLOSE" _SQLITE_IOERR_DIR_CLOSE
    :: CInt

foreign import ccall "_SQLITE_OPEN_READONLY" _SQLITE_OPEN_READONLY
    :: CInt

foreign import ccall "_SQLITE_OPEN_READWRITE" _SQLITE_OPEN_READWRITE
    :: CInt

foreign import ccall "_SQLITE_OPEN_CREATE" _SQLITE_OPEN_CREATE
    :: CInt

foreign import ccall "_SQLITE_OPEN_DELETEONCLOSE"
 _SQLITE_OPEN_DELETEONCLOSE
    :: CInt

foreign import ccall "_SQLITE_OPEN_EXCLUSIVE" _SQLITE_OPEN_EXCLUSIVE
    :: CInt

foreign import ccall "_SQLITE_OPEN_MAIN_DB" _SQLITE_OPEN_MAIN_DB
    :: CInt

foreign import ccall "_SQLITE_OPEN_TEMP_DB" _SQLITE_OPEN_TEMP_DB
    :: CInt

foreign import ccall "_SQLITE_OPEN_TRANSIENT_DB"
 _SQLITE_OPEN_TRANSIENT_DB
    :: CInt

foreign import ccall "_SQLITE_OPEN_MAIN_JOURNAL"
 _SQLITE_OPEN_MAIN_JOURNAL
    :: CInt

foreign import ccall "_SQLITE_OPEN_TEMP_JOURNAL" _SQLITE_OPEN_TEMP_JOURNAL
    :: CInt

foreign import ccall "_SQLITE_OPEN_SUBJOURNAL" _SQLITE_OPEN_SUBJOURNAL
    :: CInt

foreign import ccall "_SQLITE_OPEN_MASTER_JOURNAL"
 _SQLITE_OPEN_MASTER_JOURNAL
    :: CInt

foreign import ccall "_SQLITE_OPEN_NOMUTEX" _SQLITE_OPEN_NOMUTEX
    :: CInt

foreign import ccall "_SQLITE_OPEN_FULLMUTEX" _SQLITE_OPEN_FULLMUTEX
    :: CInt

foreign import ccall "_SQLITE_IOCAP_ATOMIC" _SQLITE_IOCAP_ATOMIC
    :: CInt

foreign import ccall "_SQLITE_IOCAP_ATOMIC512" _SQLITE_IOCAP_ATOMIC512
    :: CInt

foreign import ccall "_SQLITE_IOCAP_ATOMIC1K" _SQLITE_IOCAP_ATOMIC1K
    :: CInt

foreign import ccall "_SQLITE_IOCAP_ATOMIC2K" _SQLITE_IOCAP_ATOMIC2K
    :: CInt

foreign import ccall "_SQLITE_IOCAP_ATOMIC4K" _SQLITE_IOCAP_ATOMIC4K
    :: CInt

foreign import ccall "_SQLITE_IOCAP_ATOMIC8K" _SQLITE_IOCAP_ATOMIC8K
    :: CInt

foreign import ccall "_SQLITE_IOCAP_ATOMIC16K" _SQLITE_IOCAP_ATOMIC16K
    :: CInt

foreign import ccall "_SQLITE_IOCAP_ATOMIC32K" _SQLITE_IOCAP_ATOMIC32K
    :: CInt

foreign import ccall "_SQLITE_IOCAP_ATOMIC64K" _SQLITE_IOCAP_ATOMIC64K
    :: CInt

foreign import ccall "_SQLITE_IOCAP_SAFE_APPEND"
 _SQLITE_IOCAP_SAFE_APPEND
    :: CInt

foreign import ccall "_SQLITE_IOCAP_SEQUENTIAL" _SQLITE_IOCAP_SEQUENTIAL
    :: CInt

foreign import ccall "_SQLITE_LOCK_NONE" _SQLITE_LOCK_NONE
    :: CInt

foreign import ccall "_SQLITE_LOCK_SHARED" _SQLITE_LOCK_SHARED
    :: CInt

foreign import ccall "_SQLITE_LOCK_RESERVED" _SQLITE_LOCK_RESERVED
    :: CInt

foreign import ccall "_SQLITE_LOCK_PENDING" _SQLITE_LOCK_PENDING
    :: CInt

foreign import ccall "_SQLITE_LOCK_EXCLUSIVE" _SQLITE_LOCK_EXCLUSIVE
    :: CInt

foreign import ccall "_SQLITE_SYNC_NORMAL" _SQLITE_SYNC_NORMAL
    :: CInt

foreign import ccall "_SQLITE_SYNC_FULL" _SQLITE_SYNC_FULL
    :: CInt

foreign import ccall "_SQLITE_SYNC_DATAONLY" _SQLITE_SYNC_DATAONLY
    :: CInt

foreign import ccall "_SQLITE_FCNTL_LOCKSTATE" _SQLITE_FCNTL_LOCKSTATE
  
    :: CInt

foreign import ccall "_SQLITE_GET_LOCKPROXYFILE"
 _SQLITE_GET_LOCKPROXYFILE
    :: CInt

foreign import ccall "_SQLITE_SET_LOCKPROXYFILE"
 _SQLITE_SET_LOCKPROXYFILE
    :: CInt

foreign import ccall "_SQLITE_LAST_ERRNO" _SQLITE_LAST_ERRNO
    :: CInt

foreign import ccall "_SQLITE_ACCESS_EXISTS" _SQLITE_ACCESS_EXISTS
    :: CInt

foreign import ccall "_SQLITE_ACCESS_READWRITE" _SQLITE_ACCESS_READWRITE
    :: CInt

foreign import ccall "_SQLITE_ACCESS_READ" _SQLITE_ACCESS_READ
    :: CInt

foreign import ccall "_SQLITE_DENY" _SQLITE_DENY
    :: CInt

foreign import ccall "_SQLITE_IGNORE" _SQLITE_IGNORE
    :: CInt

foreign import ccall "_SQLITE_CREATE_INDEX" _SQLITE_CREATE_INDEX
    :: CInt

foreign import ccall "_SQLITE_CREATE_TABLE" _SQLITE_CREATE_TABLE
    :: CInt

foreign import ccall "_SQLITE_CREATE_TEMP_INDEX" _SQLITE_CREATE_TEMP_INDEX
    :: CInt

foreign import ccall "_SQLITE_CREATE_TEMP_TABLE" _SQLITE_CREATE_TEMP_TABLE
    :: CInt

foreign import ccall "_SQLITE_CREATE_TEMP_TRIGGER"
 _SQLITE_CREATE_TEMP_TRIGGER
    :: CInt

foreign import ccall "_SQLITE_CREATE_TEMP_VIEW" _SQLITE_CREATE_TEMP_VIEW
    :: CInt

foreign import ccall "_SQLITE_CREATE_TRIGGER" _SQLITE_CREATE_TRIGGER
    :: CInt

foreign import ccall "_SQLITE_CREATE_VIEW" _SQLITE_CREATE_VIEW
    :: CInt

foreign import ccall "_SQLITE_DELETE" _SQLITE_DELETE
    :: CInt

foreign import ccall "_SQLITE_DROP_INDEX" _SQLITE_DROP_INDEX
    :: CInt

foreign import ccall "_SQLITE_DROP_TABLE" _SQLITE_DROP_TABLE
    :: CInt

foreign import ccall "_SQLITE_DROP_TEMP_INDEX" _SQLITE_DROP_TEMP_INDEX
    :: CInt

foreign import ccall "_SQLITE_DROP_TEMP_TABLE" _SQLITE_DROP_TEMP_TABLE
    :: CInt

foreign import ccall "_SQLITE_DROP_TEMP_TRIGGER" _SQLITE_DROP_TEMP_TRIGGER
    :: CInt

foreign import ccall "_SQLITE_DROP_TEMP_VIEW" _SQLITE_DROP_TEMP_VIEW
    :: CInt

foreign import ccall "_SQLITE_DROP_TRIGGER" _SQLITE_DROP_TRIGGER
    :: CInt

foreign import ccall "_SQLITE_DROP_VIEW" _SQLITE_DROP_VIEW
    :: CInt

foreign import ccall "_SQLITE_INSERT" _SQLITE_INSERT
    :: CInt

foreign import ccall "_SQLITE_PRAGMA" _SQLITE_PRAGMA
    :: CInt

foreign import ccall "_SQLITE_READ" _SQLITE_READ
    :: CInt

foreign import ccall "_SQLITE_SELECT" _SQLITE_SELECT
    :: CInt

foreign import ccall "_SQLITE_TRANSACTION" _SQLITE_TRANSACTION
    :: CInt

foreign import ccall "_SQLITE_UPDATE" _SQLITE_UPDATE
    :: CInt

foreign import ccall "_SQLITE_ATTACH" _SQLITE_ATTACH
    :: CInt

foreign import ccall "_SQLITE_DETACH" _SQLITE_DETACH
    :: CInt

foreign import ccall "_SQLITE_ALTER_TABLE" _SQLITE_ALTER_TABLE
    :: CInt

foreign import ccall "_SQLITE_REINDEX" _SQLITE_REINDEX
    :: CInt

foreign import ccall "_SQLITE_ANALYZE" _SQLITE_ANALYZE
    :: CInt

foreign import ccall "_SQLITE_CREATE_VTABLE" _SQLITE_CREATE_VTABLE
    :: CInt

foreign import ccall "_SQLITE_DROP_VTABLE" _SQLITE_DROP_VTABLE
    :: CInt

foreign import ccall "_SQLITE_FUNCTION" _SQLITE_FUNCTION
    :: CInt

foreign import ccall "_SQLITE_SAVEPOINT" _SQLITE_SAVEPOINT
    :: CInt

foreign import ccall "_SQLITE_COPY" _SQLITE_COPY
    :: CInt

foreign import ccall "_SQLITE_LIMIT_LENGTH" _SQLITE_LIMIT_LENGTH
    :: CInt

foreign import ccall "_SQLITE_LIMIT_SQL_LENGTH" _SQLITE_LIMIT_SQL_LENGTH
    :: CInt

foreign import ccall "_SQLITE_LIMIT_COLUMN" _SQLITE_LIMIT_COLUMN
    :: CInt

foreign import ccall "_SQLITE_LIMIT_EXPR_DEPTH" _SQLITE_LIMIT_EXPR_DEPTH
    :: CInt

foreign import ccall "_SQLITE_LIMIT_COMPOUND_SELECT" _SQLITE_LIMIT_COMPOUND_SELECT
    :: CInt

foreign import ccall "_SQLITE_LIMIT_VDBE_OP" _SQLITE_LIMIT_VDBE_OP
    :: CInt

foreign import ccall "_SQLITE_LIMIT_FUNCTION_ARG" _SQLITE_LIMIT_FUNCTION_ARG
    :: CInt

foreign import ccall "_SQLITE_LIMIT_ATTACHED" _SQLITE_LIMIT_ATTACHED
    :: CInt

foreign import ccall "_SQLITE_LIMIT_LIKE_PATTERN_LENGTH"
 _SQLITE_LIMIT_LIKE_PATTERN_LENGTH
    :: CInt

foreign import ccall "_SQLITE_LIMIT_VARIABLE_NUMBER"
 _SQLITE_LIMIT_VARIABLE_NUMBER
    :: CInt

foreign import ccall "_SQLITE_INTEGER" _SQLITE_INTEGER
    :: CInt

foreign import ccall "_SQLITE_FLOAT" _SQLITE_FLOAT
    :: CInt

foreign import ccall "_SQLITE_BLOB" _SQLITE_BLOB
    :: CInt

foreign import ccall "_SQLITE_NULL" _SQLITE_NULL
    :: CInt

foreign import ccall "_SQLITE3_TEXT" _SQLITE3_TEXT
    :: CInt

foreign import ccall "_SQLITE_UTF8" _SQLITE_UTF8
    :: CInt

foreign import ccall "_SQLITE_UTF16LE" _SQLITE_UTF16LE
    :: CInt

foreign import ccall "_SQLITE_UTF16BE" _SQLITE_UTF16BE
    :: CInt

foreign import ccall "_SQLITE_UTF16" _SQLITE_UTF16
    :: CInt

foreign import ccall "_SQLITE_ANY" _SQLITE_ANY
    :: CInt

foreign import ccall "_SQLITE_UTF16_ALIGNED" _SQLITE_UTF16_ALIGNED
    :: CInt

foreign import ccall "_SQLITE_STATIC" _SQLITE_STATIC
    :: Sqlite3_destructor_type a

foreign import ccall "_SQLITE_TRANSIENT" _SQLITE_TRANSIENT
    :: Sqlite3_destructor_type a

foreign import ccall "_SQLITE_MUTEX_FAST" _SQLITE_MUTEX_FAST
    :: CInt

foreign import ccall "_SQLITE_MUTEX_RECURSIVE" _SQLITE_MUTEX_RECURSIVE
    :: CInt

foreign import ccall "_SQLITE_MUTEX_STATIC_MASTER"
 _SQLITE_MUTEX_STATIC_MASTER
    :: CInt

foreign import ccall "_SQLITE_MUTEX_STATIC_MEM" _SQLITE_MUTEX_STATIC_MEM
    :: CInt

foreign import ccall "_SQLITE_MUTEX_STATIC_MEM2" _SQLITE_MUTEX_STATIC_MEM2
    :: CInt

foreign import ccall "_SQLITE_MUTEX_STATIC_PRNG" _SQLITE_MUTEX_STATIC_PRNG
    :: CInt

foreign import ccall "_SQLITE_MUTEX_STATIC_LRU" _SQLITE_MUTEX_STATIC_LRU
    :: CInt

foreign import ccall "_SQLITE_MUTEX_STATIC_LRU2" _SQLITE_MUTEX_STATIC_LRU2
    :: CInt

